std::decimal::decimal128 Class Reference

## Public Types

typedef float | __decfloat128

## Public Member Functions

| decimal128 (__decfloat128 __z)
| decimal128 (decimal32 d32)
| decimal128 (decimal64 d64)
| decimal128 (double __r)
| decimal128 (float __r)
| decimal128 (int __z)
| decimal128 (long __z)
| decimal128 (long double __r)
| decimal128 (long long __z)
| decimal128 (unsigned int __z)
| decimal128 (unsigned long __z)
| decimal128 (unsigned long long __z)
__decfloat128 | __getval (void)
void | __setval (__decfloat128 __x)
| operator long long () const
decimal128 & | operator*= (decimal128 __rhs)
decimal128 & | operator*= (decimal32 __rhs)
decimal128 & | operator*= (decimal64 __rhs)
decimal128 & | operator*= (int __rhs)
decimal128 & | operator*= (long __rhs)
decimal128 & | operator*= (long long __rhs)
decimal128 & | operator*= (unsigned int __rhs)
decimal128 & | operator*= (unsigned long __rhs)
decimal128 & | operator*= (unsigned long long __rhs)
decimal128 & | operator++ ()
decimal128 | operator++ (int)
decimal128 & | operator+= (decimal128 __rhs)
decimal128 & | operator+= (decimal32 __rhs)
decimal128 & | operator+= (decimal64 __rhs)
decimal128 & | operator+= (int __rhs)
decimal128 & | operator+= (long __rhs)
decimal128 & | operator+= (long long __rhs)
decimal128 & | operator+= (unsigned int __rhs)
decimal128 & | operator+= (unsigned long __rhs)
decimal128 & | operator+= (unsigned long long __rhs)
decimal128 & | operator-- ()
decimal128 | operator-- (int)
decimal128 & | operator-= (decimal128 __rhs)
decimal128 & | operator-= (decimal32 __rhs)
decimal128 & | operator-= (decimal64 __rhs)
decimal128 & | operator-= (int __rhs)
decimal128 & | operator-= (long __rhs)
decimal128 & | operator-= (long long __rhs)
decimal128 & | operator-= (unsigned int __rhs)
decimal128 & | operator-= (unsigned long __rhs)
decimal128 & | operator-= (unsigned long long __rhs)
decimal128 & | operator/= (decimal128 __rhs)
decimal128 & | operator/= (decimal32 __rhs)
decimal128 & | operator/= (decimal64 __rhs)
decimal128 & | operator/= (int __rhs)
decimal128 & | operator/= (long __rhs)
decimal128 & | operator/= (long long __rhs)
decimal128 & | operator/= (unsigned int __rhs)
decimal128 & | operator/= (unsigned long __rhs)
decimal128 & | operator/= (unsigned long long __rhs)

## Detailed Description

3.2.4 Class decimal128.

Definition at line 399 of file decimal.

## Constructor & Destructor Documentation

## decimal128()

std::decimal::decimal128::decimal128 | ( | __decfloat128 | __z | ) |

inline

Conforming extension: Conversion from scalar decimal type.

Definition at line 424 of file decimal.

The documentation for this class was generated from the following file:

- decimal